<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <!-- Google Font: Source Sans Pro -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="headerfooter.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />

</head>

<body>
    <header style="width: 100%;">
        <div class="pos-f-t">
            <div class="collapse" id="navbarToggleExternalContent">
                <div class="bg-header-content p-4">
                    <div class="row">
                        <div class="col-sm-4">
                            <h1 class="text-white h1 "><a class="text-white" href="./index.html">TRANG CHỦ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Contact.html">TRANG LIÊN HỆ</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="">TRANG TIN TỨC</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./About.html">VỀ CÔNG TY</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN NHÀ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN CĂN HỘ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN ĐẤT</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./User.html">TRANG THÔNG TIN
                                    NGƯỜI DÙNG</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Login.html">TRANG ĐĂNG NHẬP</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Register.html">TRANG ĐĂNG
                                    KÝ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG ĐĂNG
                                    TIN BẤT ĐỘNG SẢN</a>
                            </h1>
                            <p class="mt-5">TUYỂN DỤNG</p>
                            <P>LIÊN HỆ</P>
                        </div>
                        <div class="col-sm-5 text-center mt-5">
                            <h4 class="text-white h1 mt-3"><a class="text-white" href="./TinTuc.html">TIN TỨC</a></h4>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./PhongThuy.html">PHONG THỦY</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Sao.html">SAO & BIỆT
                                    THỰ</a></h1>
                            <h4>BIỂU TƯỢNG</h4>
                            <h4>KHU DÂN CƯ</h4>
                            <h4>KHÁCH HÀNG</h4>
                            <h4>NHÀ Ở</h4>
                            <h4>CĂN HỘ</h4>
                            <h4>DỰ ÁN</h4>
                            <h4>ĐẤT NỀN</h4>


                        </div>
                        <div class="col-sm-3 text-right mt-5">
                            <p>FACEBOOK</p>
                            <P>YOUTUBE</P>
                            <P>LINKEDIN</P>
                            <P>ZALO</P>
                            <P>INSTAGRAM</P>
                            <P>TIKTOK</P>
                            <P>84.28-356789</P>
                            <P>CONTACT@ALPHADELTA.VN</P>

                        </div>

                    </div>


                </div>

            </div>

            <nav class="navbar navbar-dark bg-header nav-head" style="width: 100%;">

                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="row-header row">
                    <!-- <h2 class="text-center" id="logo">ALPHADELTA</h2> -->
                    <img src="image/logo New1.png" width="" height="100px" alt="">
                </div>
                <div class="d-flex header-trans">
                    <img class="mr-2 find-search" src="./image/icons8-find-48.png" alt="">

                    <a class="a-mobile-trans" href="">VN</a>
                    <hr class="hr-trans">
                    <a class="a-mobile-trans" href="">EN</a>
                </div>

            </nav>

        </div>
    </header>
    <div class="content text-white">

        <!-- contact -->

        <div class="about-us pt-5">
            <div class="row" style="width: 100%;">
                <div class="col-sm-12 text-center">
                    <p class="text-our-partner">Register</p>
                    <p class="text-partner">Register Now</p>

                    <p class="text-our-partner">Huge number of propreties availabe here for buy and sell also you can
                        find here co-living property as you like</p>



                </div>

            </div>
            <div>
                <img src="./image/landmark-da (2).jpg" class="" alt="" style=" width: 100%; height: 730px;">
            </div>

        </div>


        <div class="login register" style="color: #0b2c3d;">
            <div class="row" style="width: 100%;">
                <div class="col-sm-5 mt-5">
                    <p class="text-partner">Create Account</p>
                    <p class="text-our-partner">Huge number of propreties availabe here for buy, sell and Rent. Also you
                        find here co-living property, lots opportunity you have to choose here and enjoy huge discount
                        you can get</p>
                    <input type="text" id="username" class="mr-4 mt-3 inp-login form-control" placeholder="Username">
                    <input type="text" id="email" class="inp-login mt-4 form-control" placeholder="Email">
                    <input type="password" id="password" class="inp-login mt-4 form-control" placeholder="Password">
                    <input type="password" id="con-pass" class="inp-login mt-4 form-control"
                        placeholder="Conform password">
                    <div class="text-register">
                        <input type="checkbox" name="" id="check-agree" class="mt-4">
                        I agree with the <a href="">Term & Conditions</a>
                    </div>
                    <div class="row mt-4">
                        <div class="col-sm-5">
                            <button id="btn-register" class="btn btn-contact mt-3 px-3">Register</button>
                        </div>
                        <div class="col-sm-7 mt-4">
                            <p class="text-register">Already have an Account? <a href="./Login.html">Login</a></p>
                        </div>


                    </div>
                </div>
                <div class="col-sm-1"></div>
                <div class="col-sm-6 mt-5">
                    <img class="img-login" src="./image/bg-signup1.jpg" alt="" width="100%" height="700px">
                </div>
            </div>



        </div>

        <div class="row mb-5 mx-3 ml-5 mt-5">
            <div class="col-lg-4 col-md-6">
                <div class="card card-contact py-3 px-4" style="width: 20rem;">
                    <div class="d-flex justify-content-start">
                        <img src="./image/map.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Address</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4 col-md-6 ">
                <div class="card card-contact py-3 px-4 col-res-email" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/phone.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Phone</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-6 ">
                <div class="card card-contact py-3 px-4" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/mail.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Email</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>

    </div>

    <footer>
        <div class="footer-content">
            <div class="row">
                <div class="col-sm-5" data-aos="zoom-in-down" data-aos-easing="linear" data-aos-duration="2500">
                    <h2 class="">THÔNG TIN
                    </h2>

                    <h1 class="mb-5">LIÊN HỆ</h1>

                    <h4 class="info-footer">TRỤ SỞ</h4>
                    <p>Alphadelta 96 Phan Đăng Lưu, Quận 9, Thành phố Hồ Chí Minh</p>
                    <h4 class="info-footer">VĂN PHÒNG ĐẠI DIỆN Ở HÀ NỘI</h4>
                    <p>LK- C29, Khu biệt thự liền kề Embassy Garden,
                        Hoàng Minh Thảo, Xuân Tảo, Bắc Từ Liêm, Hà Nội</p>
                    <h4 class="info-footer">LIÊN HỆ VỚI CHÚNG TÔI </h4>
                    <p>Hotline: (+84 00 1234 5679)</p>
                    <p>Email: contact@alphadelt.vn</p>
                    <div class="d-flex mt-5">
                        <img src="./image/icons8-facebook-96 (1).png" height="70px" alt="">
                        <img src="./image/icons8-tiktok-96.png" height="70px" alt="">
                        <img src="./image/icons8-instagram-96.png" height="70px" alt="">
                    </div>


                    <div class="mt-5">
                        <p>@ 2021 Alphadelta All rights reserved</p>
                    </div>

                </div>

                <div class="col-sm-2">

                </div>
                <div class="col-sm-5 text-center">
                    <img class="img-building-footer" src="./image/apartment footer_transparent.png" width="100%"
                        height="650px" alt="">
                </div>


            </div>
        </div>
    </footer>



</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gIdUser = 0;
    const gBASE_URL = "http://localhost:8080/"

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        $("#btn-register").on("click", function () {
            onBtnRegister();
            console.log(gIdUser + " : this is about privicy");
        })

    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnRegister() {
        var vObj = {
            username: "",
            password: "",
            email: "",
            confomPass: "",
        }
        vObj.username = $("#username").val();
        vObj.password = $("#password").val();
        vObj.email = $("#email").val();
        vObj.confomPass = $("#con-pass").val();

        console.log(vObj);
        var vCheck = validateObj(vObj);
        if (vCheck) {
            $.ajax({
                url: gBASE_URL + "api/auth/signup",
                type: "POST",
                data: JSON.stringify(vObj),
                datatype: "application/json",
                contentType: "application/json; charset=utf-8",
                success: function (paramRes) {
                    console.log(paramRes);
                    console.log(paramRes.message)
                    gIdUser = paramRes.message;
                    var vId = parseInt(gIdUser);
                    handleRegisterCustomer(vId);
                },
                error: function (paramErr) {
                    alert("username or email used");
                }

            })
        }
    }


    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function handleRegisterCustomer(paramId) {
        var vObj = {
            contactName: "",
            contactTitle: "",
            address: "",
            mobile: "",
            note: "",
            createBy: "",
            updateBy: "",
            createDate: "",
            updateDate: ""
        }

        $.ajax({
            url: gBASE_URL + "api/auth/register/customer/" + paramId,
            type: "POST",
            data: JSON.stringify(vObj),
            datatype: "application/json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                console.log("success register customer");
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })



    }
    function validateObj(paramObj) {
        var vCheckbox = $("#check-agree");
        if (paramObj.username.length <= 2 || paramObj.username == "") {
            alert("username over 2 charactor");
            return false;
        }
        else if (ValidateEmail(paramObj.email) == false) {
            // alert("email error syntax");
            return false;
        }
        else if (paramObj.password.length <= 8 || paramObj.password != paramObj.confomPass) {
            alert("comform password different password");
            return false;
        }
        else if (!vCheckbox.prop("checked")) {
            alert("check agree policy");
            return false;
        }

        return true;

    }

    function ValidateEmail(mail) {
        if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(mail)) {
            return (true)
        }
        alert("You have entered an invalid email address!")
        return (false)
    }

</script>




</html>